#!/usr/bin/env python
#
# setup.py - Setup modules written by C.
# Copyright (C) 2005  shinGETsu Project.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# $Id: setup.py,v 1.3 2005/04/10 14:56:10 fuktommy Exp $
#


from distutils.core import setup, Extension

apollo_module = Extension("shingetsu.apollo",
                          include_dirs = ["/usr/local/include"],
                          libraries = ["gmp"],
                          library_dirs = ["/usr/local/lib"],
                          sources = ["apollomodule.c",
                                     "factor.c",
                                     "RSAbase.c",
                                     "md5.c",
                                     "base64.c",
                                     "apollo.c"])

setup(name = "shingetsu.apollo",
      version = "0.0.1",
      description = "Signature module",
      author="replaceable anonymous",
      maintainer="Fuktommy",
      maintainer_email="fuktommy@users.sourceforge.net",
      url="http://shingetsu.sourceforge.net/",
      ext_modules = [apollo_module])
