#!/usr/bin/python
#
# saku.py - shinGETsu clone.
# Copyright (C) 2005  shinGETsu Project.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# $Id: saku.py,v 1.17 2005/05/05 13:25:53 fuktommy Exp $
#

import sys
import time

import shingetsu.daemon as daemon

__version__ = "$Revision: 1.17 $"

def main():
    try:
        daemon.setup()
        daemon.set_logger()
        daemon.start_daemon()
        while True:
            time.sleep(60*60)
    except KeyboardInterrupt:
        sys.exit()

if __name__ == "__main__":
    main()
